# LoadController.Mode
Date: 2016-09-27

ui.controller

## Enum LoadController.Mode

- java.lang.Object
- - java.lang.Enum<LoadController.Mode>
  - - ui.controller.LoadController.Mode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<LoadController.Mode>

Enclosing class:
  LoadController

    public static enum LoadController.Mode
    extends java.lang.Enum<LoadController.Mode>

enum Mode.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ALL`
`CANVAS`
`CATEGORY`

### Method Summary

All Methods Static Methods Concrete Methods
`static LoadController.Mode` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static LoadController.Mode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ALL

    public static final LoadController.Mode ALL

#### CATEGORY

    public static final LoadController.Mode CATEGORY

#### CANVAS

    public static final LoadController.Mode CANVAS

### Method Detail

#### values

    public static LoadController.Mode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (LoadController.Mode c : LoadController.Mode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static LoadController.Mode valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null